org.apache.ignite.internal.visor.misc

## Class VisorResolveHostNameTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<Void,Map<String,String>>
    - - org.apache.ignite.internal.visor.misc.VisorResolveHostNameTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Void>,Map<String,String>>

    @GridInternal
    public class VisorResolveHostNameTask
    extends VisorOneNodeTask<Void,Map<String,String>>

Task that resolve host name for specified IP address from node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorResolveHostNameTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.misc.VisorResolveHostNameTask.VisorResolveHostNameJob` `job(Void arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorResolveHostNameTask

    public VisorResolveHostNameTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.misc.VisorResolveHostNameTask.VisorResolveHostNameJob job(Void arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Void,Map<String,String>,Map<String,String>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018